#version 410 core

uniform mat4 ModelViewProjectionMatrix;
uniform mat4 WorldMatrix;

layout (location = 0) in vec3 POSITION;

out vec3 wpos;

void main()
{
	wpos = vec3(WorldMatrix * vec4(POSITION, 1.0));
	gl_Position = ModelViewProjectionMatrix * vec4(POSITION, 1.0);
}
